[l10n][Settings]Portuguese Brazil:The string of "List of numbers that can be called" is truncated.

VERIFIED FIXED

Status

VERIFIED FIXED
4 years ago
3 years ago

People

(Reporter: huayu.li, Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.1 verified, b2g-v2.2 verified)

Details

(Whiteboard: LocRun2.2, )

Attachments

(3 attachments)

(Reporter)

Description

4 years ago
Created attachment 8597193 [details]
Portuguese BrazilFDN2.png

[1.Description]:
[l10n][Flame2.1&2.2][Settings]Portuguese Brazil:In the "Fixed dialing numbers"  page, the string "List of numbers that can be called" under "Authorized numbers"is truncated.
See attachment:Portuguese Brazil FDN2.png

[2.Testing Steps]: 
Precondition:Inser SIM card.
1.Launch setttings.
2.Tap call settings.
3.Select one SIM.
4.Tap Fixed dialing numbers.
5.Check the string "List of numbers that can be called" at left of toggle icon.

[3.Expected Result]: 
5. There is no truncation. Nothing overlaps. The UI should not appear broken in any way.

[4.Actual Result]: 
5.The string of "List of numbers that can be called" is truncated.

[5.Reproduction build]: 
Device:Flame 2.2 user[Affected]
Build ID               20150423002502
Gaia Revision          b838d0e7c163e66660dcb6e387d8339944a7a30e
Gaia Date              2015-04-23 02:32:46
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/8dce56574f28
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2

Device:Flame 2.1 user[Affected]
Build ID               20150423001201
Gaia Revision          bbe983b4e8bebfec26b3726b79568a22d667223c
Gaia Date              2015-04-09 13:52:48
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/6a68a038146a
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
12299
(Reporter)

Updated

4 years ago
status-b2g-v2.1: --- → affected
status-b2g-v2.2: --- → affected
Let's see if localizer can find a shorter string before we possibly ask for a UX fix for this. thanks!
Flags: needinfo?(mv.nsaad)

Comment 2

3 years ago
Fixed. String was shortened in about 8 characters.
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Flags: needinfo?(mv.nsaad)
Resolution: --- → FIXED
(Reporter)

Comment 3

3 years ago
Created attachment 8599652 [details]
Portuguese BrazilFDN_verified2.2.png

This issue has been successfully verified on flame 2.2, and failed verified on flame 2.1.
Device: Flame 2.2 user[Verified]
Build ID               20150429002501
Gaia Revision          1b7aa7e60788668ed09abf76022dfa231dbe88d4
Gaia Date              2015-04-28 19:36:06
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/d38ff4717f39
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150429.040640
Firmware Date          Wed Apr 29 04:06:52 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 2.1 user[Affecte]
Build ID               20150429001202
Gaia Revision          9fda4aec7f9495a27a335ccaf3b1a4dc9c4c6db0
Gaia Date              2015-04-28 19:33:50
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/38ab00c01159
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150429.034244
Firmware Date          Wed Apr 29 03:42:55 EDT 2015
Bootloader             L1TC000118D0
(Reporter)

Updated

3 years ago
status-b2g-v2.2: affected → verified
(Reporter)

Comment 4

3 years ago
Hi Marcus, wheather this issue need to fix on 2.1?
Flags: needinfo?(mv.nsaad)

Comment 5

3 years ago
Fixed on 2.1 too!
Flags: needinfo?(mv.nsaad)
(Reporter)

Comment 6

3 years ago
Hi, Delphine
According to comment5 of Bug 1158747, could you help Marcus to fix this issue  on v2.1.
Flags: needinfo?(lebedel.delphine)

Comment 7

3 years ago
This *should* be a fix. Please try again in a day or two.
Flags: needinfo?(lebedel.delphine)
Created attachment 8607979 [details]
Verify_Pass_Flame2.1user_Portuguese Brazil.png

This problem is verified on latest Flame 2.1 user build in Portuguese Brazil language by STR in comment 0.
Please see attachment: Verify_Pass_Flame2.1user_Portuguese Brazil.png
Rate: 0/5

Device: Flame2.1 user build (Pass)
Build ID               20150519161201
Gaia Revision          c80865cb0bf73f1b97defbc646083b404feb3ac4
Gaia Date              2015-05-12 06:26:43
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/062ac5cbb41e
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150519.195144
Firmware Date          Tue May 19 19:51:56 EDT 2015
Bootloader             L1TC000118D0
Status: RESOLVED → VERIFIED
QA Whiteboard: [MGSEI-Triage+]
status-b2g-v2.1: affected → verified
(Reporter)

Updated

3 years ago
QA Whiteboard: [MGSEI-Triage+] → [MGSEI-Triage+][MGSEI-l10n-1F]
Whiteboard: LocRun2.2, MGSEI-l10n-1F-Portuguese Brazil → LocRun2.2,
You need to log in before you can comment on or make changes to this bug.